package utils

import (
	"os"
	"strings"
)

var (
	DiscordBotToken     = os.Getenv("DISCORD_BOT_TOKEN")
	DiscordClientID     = os.Getenv("DISCORD_CLIENT_ID")
	DiscordClientSecret = os.Getenv("DISCORD_CLIENT_SECRET")
	DiscordPublicKey    = os.Getenv("DISCORD_PUBLIC_KEY")
	ListenAddr          = Or(os.Getenv("LISTEN_ADDR"), ":8169")
	PublicBaseURL       = os.Getenv("PUBLIC_BASE_URL")
	SupportIDs          = strings.Split(os.Getenv("SUPPORT_IDS"), ",")
	SupueruserIDs       = strings.Split(os.Getenv("SUPERUSER_IDS"), ",")
)
