package utils_test

import (
	"testing"

	"github.com/stretchr/testify/assert"

	"git.sapphic.engineer/roleypoly/v4/utils"
)

func TestHeadTitle(t *testing.T) {
	assert.Equal(t, utils.HeadTitle("Hello World"), "Hello World | Roleypoly")
}

func TestJ(t *testing.T) {
	assert.Equal(t, "/a/b/c", utils.J("a", "b", "c"))
}

func TestOr(t *testing.T) {
	assert.Equal(t, "a", utils.Or("a", "b"))
	assert.Equal(t, "b", utils.Or("", "b"))
}
